Difference between revisions of "Draft CircularArray/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Remarques: * Par défaut, l'axe de rotation est l'axe Z positif {{Value|(0, 0, 1)}}. Ceci peut être modifié dans l'Éditeur de propriétés après la...")
(Created page with "* Appuyez sur {{Button|Reset point}} pour définir le centre des motifs circulaires sur l'origine {{Value|(0, 0, 0)}}. * Si la case {{MenuCommand|Fuse}} est cochée, les objet...")
Line 49: Line 49:
 
== Options ==
 
== Options ==
  
* Press {{Button|Reset point}} to set the center of the circular patterns to the origin {{Value|(0, 0, 0)}}.
+
* Appuyez sur {{Button|Reset point}} pour définir le centre des motifs circulaires sur l'origine {{Value|(0, 0, 0)}}.
* If the {{MenuCommand|Fuse}} checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
+
* Si la case {{MenuCommand|Fuse}} est cochée, les objets résultants dans le réseau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
* If the {{MenuCommand|Use Links}} checkbox is ticked, the resulting objects in the array will be [[App_Link|App Links]] instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the [[Shape|shape]] of the original object, and does not create new shapes. If this option is used, the {{MenuCommand|Fuse}} checkbox has no effect.
+
* Si la case {{MenuCommand|Use Links}} est cochée, les objets résultants dans le réseau seront [[App_Link/fr|App Links]] au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la [[Shape/fr|forme]] de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher {{MenuCommand | Fuse}} n'a aucun effet.
* Press {{KEY|Esc}} or the {{Button|Cancel}} button to abort the current command.
+
* Appuyez sur {{KEY|Esc}} ou sur le bouton {{Button|Cancel}} pour abandonner la commande en cours.
  
 
== Properties ==
 
== Properties ==

Revision as of 09:57, 8 February 2020

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau circulaire

Emplacement du menu
Modify → Circular array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau, Draft Réseau polaire, Draft Chemin pour série de copies, Draft Matrice de points, Draft Clone


Description

L'outil Draft CircularArray.svg Draft Réseau circulaire crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser Réseau polaire avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies dans une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif polaire, utilisez Draft Réseau circulaire; pour positionner des copies le long d'un chemin, utilisez Draft Réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Déplacer, Draft Rotation et Draft Clone.

Draft CircularArray example.png

Un réseau circulaire d'un objet.


Utilisation

  1. Sélectionnez un objet à partir duquel vous souhaitez créer le tableau circulaire.
  2. Appuyez sur le bouton Draft CircularArray.svg Réseau circulaire. Si aucun objet n'est sélectionné, le Panneau des tâches s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
  3. Choisissez la distance radiale, qui détermine la distance entre le centre du réseau et la couche circulaire suivante, et entre les couches circulaires suivantes.
  4. Choisissez la distance tangentielle, qui détermine la distance entre un élément du tableau et l'élément suivant dans la même couche circulaire. Cette distance détermine le nombre d'éléments qui seront dans le tableau; si le nombre est petit, il y aura de nombreuses copies bien emballées; si le nombre est important, il n'y aura que quelques exemplaires. Cette distance ne peut pas être nulle.
  5. Choisissez le nombre de couches circulaires. L'objet d'origine est considéré comme un seul calque. Minimum de 2, maximum de 99.
  6. Choisissez le numéro de symétrie, qui détermine la façon dont les objets seront distribués dans le tableau. Choisissez un nombre entre 1 et 10.
  7. Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la Vue 3D, pour définir simultanément la position du centre de rotation et terminer la commande.
  8. Facultativement, vérifiez les options de fusible ou de lien.
  9. Appuyez sur OK pour terminer la commande.

Remarques:

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • Chaque élément du réseau est un clone exact de l'objet d'origine mais l'ensemble du réseau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet que celui créé avec les outils Draft Réseau et Draft Réseau polaire. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.

Options

  • Appuyez sur Reset point pour définir le centre des motifs circulaires sur l'origine (0, 0, 0).
  • Si la case Fuse est cochée, les objets résultants dans le réseau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
  • Si la case Use Links est cochée, les objets résultants dans le réseau seront App Links au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la forme de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher Fuse n'a aucun effet.
  • Appuyez sur Esc ou sur le bouton Cancel pour abandonner la commande en cours.

Properties

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the Array tool for the complete information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_circular_array(obj, r_distance, tan_distance,
                                 axis, center, number, symmetry,
                                 use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The values of r_distance and tan_distance correspond to the radial and tangential distances of the elements in the array.
  • The values of axis and center are vectors that describe the direction of the axis of rotation, and a point through which that axis goes.
  • The value of number is the number of circular layers in the circular pattern; the original object counts as the first layer.
  • The value of symmetry is an integer that participates in some calculations that affect the way the copies are distributed around the circumferences. Try different values, from 1 to 10, to get different placements of the copies.
  • If use_link is True the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Example:

import FreeCAD as App
import Draft
import draftobjects.circulararray as ca

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
axis = App.Vector(0, 0, 1)
center = App.Vector(0, 0, 0)
arr = ca.make_circular_array(tri, 1800, 1200, axis, center, 4, 1)
App.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Draft2Sketch.svg Draft to Sketch
Next: Link Array Draft LinkArray.svg Arrow-right.svg